### Signal

# Gtk FileChooserWidget::location-popup

since: 4.0

#### Declaration

    void
    location_popup (
      GtkFileChooserWidget* self,
      gchar* path,
      gpointer user_data
    )

#### Description [src]

Emitted when the user asks for it.

This is a keybinding signal.

This is used to make the file chooser show a “Location” prompt which the user can use to manually type the name of the file he wishes to select.

The default bindings for this signal are `Control`-`L` with a `path` string of “” (the empty string). It is also bound to `/` with a `path` string of “`/`” (a slash): this lets you type `/` and immediately type a path name. On Unix systems, this is bound to `~` (tilde) with a `path` string of “~” itself for access to home directories.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 4.0

#### Parameters

`path`

  Type: `gchar*`

  A string that gets put in the text entry for the file name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.